nano: upgraded package to upstream

Upgraded app-editors/nano to version 5.4 for everyone.

BUG=None
TEST=used it

Change-Id: If94fdeecad5e5da0e2a9a9841d03db6d1f1bf333
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/2570463
Reviewed-by: Alex Klein <saklein@chromium.org>
Tested-by: Mike Frysinger <vapier@chromium.org>
Commit-Queue: Mike Frysinger <vapier@chromium.org>
diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 984029a..c1739a1 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1 +1 @@
-DIST nano-4.2.tar.gz 2928595 BLAKE2B 42bb0ccbf4961706c6c645eb2310a646a7decd3617117a079ffe9e3718c8054ab823a5aff3e543c06c4c398f83579a679267a9ad6f113ba451b76d67e14b07cc SHA512 a5dd9ce96cd09d12c65108ea6a18b2cf1c2b055929e58d3e84beb0725607b4b5a3f8ae3fda0ab658c853cc4cac70c089fee716e1bb5a700f2506a7a3e1bea1bd
+DIST nano-5.4.tar.gz 2898561 BLAKE2B 7e5e48f1e85253a7a4a9be2be2b7663e8798655d9e9e2505df1d1752512058734062af953652c1d11dca464ca06d7c90faf2e54cdb65ba01d0f76cfca0282c18 SHA512 711b1a890649e3a2b62c778e6d54813ed98a8261c47a92aa6d7baa690f86d8563813a764f5dffcc6c259fe9b05f8fe76cf48a3178b09666ba55ee035c91cbe28
diff --git a/app-editors/nano/OWNERS b/app-editors/nano/OWNERS
new file mode 100644
index 0000000..ef513b6
--- /dev/null
+++ b/app-editors/nano/OWNERS
@@ -0,0 +1 @@
+vapier@chromium.org
diff --git a/app-editors/nano/nano-4.2.ebuild b/app-editors/nano/nano-5.4.ebuild
similarity index 81%
rename from app-editors/nano/nano-4.2.ebuild
rename to app-editors/nano/nano-5.4.ebuild
index 252e6ff..2c64a7a 100644
--- a/app-editors/nano/nano-4.2.ebuild
+++ b/app-editors/nano/nano-5.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,7 +18,7 @@
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static unicode"
+IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static unicode"
 
 LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
 	sys-libs/ncurses:0=[static-libs(+)]
@@ -32,6 +32,12 @@
 	nls? ( sys-devel/gettext )
 	virtual/pkgconfig
 "
+
+REQUIRED_USE="
+	!ncurses? ( slang? ( minimal ) )
+	magic? ( !minimal )
+"
+
 src_prepare() {
 	default
 	if [[ ${PV} == "9999" ]] ; then
@@ -74,6 +80,12 @@
 		sed -i \
 			-e '/^# include /s:# *::' \
 			"${ED}"/etc/nanorc || die
+
+		# Since nano-5.0 these are no longer being "enabled" by default
+		# (bug #736848)
+		local rcdir="/usr/share/nano"
+		mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
+		rmdir "${ED}"${rcdir}/extra || die
 	fi
 
 	use split-usr && dosym ../../bin/nano /usr/bin/nano